server:
  shutdown: graceful
spring:
  lifecycle:
    timeout-per-shutdown-phase: 30s
  jackson:
    time-zone: GMT+8
    serialization:
      write-dates-as-timestamps: true
    generator:
      write-bigdecimal-as-plain: true
    deserialization:
      fail-on-unknown-properties: false
      read-unknown-enum-values-as-null: true
  mvc:
    throw-exception-if-no-handler-found: true
  web:
    resources:
      add-mappings: false
arthas:
  app-name: ${spring.application.name}
  agent-id: ${ARTHAS_AGENT_ID:${spring.profiles.active}-${spring.application.name}}
  tunnel-server: ${ARTHAS_TUNNEL_SERVER:ws://localhost:7777/ws}
#  redis:
#    #外网地址和端口 禁止使用外网地址，会导致jenkins 部署 服务起不来
#    #host: 123.249.44.111
#    #port: 31270
#    #内网地址和端口
#    host: 123.249.44.111
#    port: 31270

mybatis-plus:
  configuration:
    auto-mapping-behavior: full
    map-underscore-to-camel-case: true
  global-config:
    db-config:
      id-type: auto
      logic-delete-value: id #逻辑已删除值(默认为 1)
      logic-not-delete-value: 0 #逻辑未删除值(默认为 0)
      logic-delete-field: is_delete #逻辑删除字段
trade:
  config:
    pool:
      thread-name-prefix: diplomat-task-pool-
management:
  endpoints:
    web:
      exposure:
        include: [ "health","info" ]
  #        include: ["*"]
  endpoint:
    health:
      show-details: always
      probes:
        enabled: true
#    prometheus:
#      enabled: true